Subject: Re: [PATCH] net: Allow any address multicast join for IP sockets

From: Andrew Lunn <[email-masked]>
Date: Wed, 7 Jul 2021 16:56:25 +0200

On Wed, Jul 07, 2021 at 02:00:29AM +0000, Callum Sinclair wrote:
> Hi Andrew
> 
> Yes I want to receive all multicast frames.This is to configure
> a userspace switch driver to prevent unknown multicast
> routes being flooded unexpectedly to all switch ports.

Don't you just need the signalling, not the data?

Also, netdev is not friendly to user space switch drivers. You should
be using an in kernel switch driver. So we are unlikely to add an API
which is only going to be used by a user space switch driver. If you
provide patches to mrouted, or frr pim routing daemon which makes use
of this new API, it might get accepted, and then you can also use it
in your user space switch driver as well. Otherwise, i would suggest
you keep to the existing APIs, BPF and pcap for example.

   Andrew